> ## Documentation Index
> Fetch the complete documentation index at: https://docs.kameleoon.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update available products

> Update the list of in-stock products in Kameleoon by sending all currently available product IDs; items omitted are marked as out-of-stock.

Use this endpoint to update the list of products that are available (in-stock) using a list of IDs of all available items. This must be sent as a [JSON request](#example-json-request).

## HTTP request

```
PATCH https://api.products.kameleoon.com/import/products
```

## List of query parameters

| Parameter     | Type   | Required | Description                                                                                                                                                                                                               |
| ------------- | ------ | -------- | ------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| `shop_id`     | String | Yes      | Your Store Key. You can find this in **Recommendations** > **Settings** > **Store settings** in the Kameleoon app. You can also contact your Customer Success Manager for the key.                                        |
| `shop_secret` | String | Yes      | Your Secret Key. You can find this in **Recommendations** > **Settings** > **Store settings** in the Kameleoon app. You can also contact your Customer Success Manager for the key.                                       |
| `items`       | List   | Yes      | A list of product IDs that are in stock. List the identifiers of all products that are available (in-stock). Items in the database that are not included in the PATCH request are marked as not available (out-of-stock). |

## Example JSON request

```json theme={null}
{
    "shop_id": "eehj3eu84299kg5ghw5a6743r8",
    "shop_secret": "pmd5362597thrgq8k256ep01t0",
    "items": ["1235", "4337", "7578"]
}
```
